### Method

# Gck Object get_full

#### Declaration [src]

    GckAttributes*
    gck_object_get_full (
      GckObject* self,
      const gulong* attr_types,
      guint n_attr_types,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the specified attributes from the object. This call may block for an indefinite period.

No extra references are added to the returned attributes pointer. During this call you may not access the attributes in any way.

#### Parameters

`attr_types` | An array of `gulong`
| The types of the attributes to get.
| The length of the array is specified in the `n_attr_types` argument.
| The data is owned by the caller of the function.
`n_attr_types` | `guint`
| The number of attr_types.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| A pointer to the filled in attributes if successful, or `NULL` if not.
| The caller of the method takes ownership of the data, and is responsible for freeing it.